Skip to main content
`Ctrl`+`K`

# PetscIsNormalReal

Returns `PETSC_TRUE` if the input value satisfies `isnormal()`

## Synopsis

    #if defined(PETSC_USE_REAL___FLOAT128) || defined(PETSC_USE_REAL___FP16)
    PetscBool PetscIsNormalReal(PetscReal a)

## Input Parameter

- a - the `PetscReal` Value

## Developer Notes

Uses the C99 standard `isnormal()` on systems where they exist.

Uses `isnormalq()` with `__float128`

Otherwise always returns true

## See Also

`PetscIsInfReal()`, `PetscIsNanReal()`

## Level

beginner

## Location

src/sys/utils/mathinf.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages